<?php

/**
 * CedCommerce
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * //  * that is bundled with this package in the file LICENSE_AFL.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 *
 * @category    design
 * @package     ced_default
 * @author        CedCommerce Core Team <coreteam@cedcommerce.com>
 * @copyright   Copyright CEDCOMMERCE (http://cedcommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

?>
<?php
$helper = Mage::helper('csmarketplace');
?>
<div class="form-group col-md-12">
    <label><?php echo $helper->__('Compatibility') ?>:</label>

    <div id="search-parts">
        <input type="hidden" id="ajax-url" name="ajax-url" value="/index.php/partsfinder/ajax/autoload"/>
        <?php $makes = Mage::helper('partsfinder/vehicules')->getMakes() ?>

        <div class="form-group col-md-4">
            <label class="required"><em>*</em><?php echo $helper->__('Manufacturers') ?></label>:
            <div class="input-box">
                <select id="select-marque" onchange="changeSelection(this,0)"
                        class="form-control validate-select select"
                        name="marque[0]" row="0" data-id="1">
                    <option selected value=""><?php echo $helper->__('--Please Select--') ?></option>
                    <?php foreach ($makes as $marque): ?>
                        <option
                            value="<?php echo $marque ?>"><?php echo ucfirst(strtolower($marque)) ?></option>
                    <?php endforeach ?>
                </select>
            </div>
        </div>

        <div class="form-group col-md-4">
            <label class="required"><em>*</em><?php echo $helper->__('Models') ?></label>:
            <div class="input-box">
                <select id="select-model" onchange="changeSelection(this,0)" class="form-control validate-select select"
                        name="model[0]" row="0" data-id="2" disabled="disabled">
                    <option selected value=""><?php echo $helper->__('--Please Select--') ?></option>
                    <option value="" class="default"></option>
                </select>
            </div>
        </div>

        <div class="form-group col-md-4">
            <label class="required"><em>*</em><?php echo $helper->__('Years') ?></label>:
            <div class="input-box">
                <select id="select-year"  style="height:150px;" class="form-control validate-select select multiselect" name="annee_fabrication[0][]" multiple="multiple" row="0" data-id="3" disabled="disabled">
                    <option selected value=""><?php echo $helper->__('--Please Select--') ?></option>
                    <option value="" class="default"></option>
                </select>
            </div>
        </div>


        <div id="morecompatibilities"></div>
    </div>
    <a class="add_btn button btn btn-info btn-circle"
       title="<?php echo $helper->__('Add') . " " . $helper->__('More') ?>" href="#"
       onclick="showMoreCompatibilities(); return false;" style="width: 75px; height: 29px;margin-top:5px;">
        <i class="fa  fa-plus"></i></a>

</div>

<script type="text/javascript">

    function showMoreCompatibilities() {
        var newdiv = document.createElement('div');
        newdiv.setAttribute("id", "childDiv" + i);
        newdiv.innerHTML = "<div class=\"form-group col-md-4\"><div class=\"input-box\"><label class=\"required\"><em>*</em><?php echo $helper->__('Manufacturers') ?></label><select id=\"select-marque\" onchange=\"changeSelection(this," + i + ")\" class=\"form-control validate-select select\" name=\"marque[" + i + "]\" row=\"" + i + "\" data-id=\"1\"><option selected value=\"\"><?php echo $helper->__('--Please Select--') ?></option><?php foreach ($makes as $marque): ?><option value=\"<?php echo $marque ?>\"><?php echo ucfirst(strtolower($marque)) ?></option><?php endforeach ?></select></div></div><div class=\"form-group col-md-4\"><label class=\"required\"><em>*</em><?php echo $helper->__('Models') ?></label><div class=\"input-box\"><select id=\"select-model\"  onchange=\"changeSelection(this," + i + ")\" class=\"form-control validate-select select\" name=\"model[" + i + "]\" disabled=\"disabled\" row=\"" + i + "\" data-id=\"2\"><option selected value=\"\"><?php echo $helper->__('--Please Select--') ?></option><option value=\"\" class=\"default\"></option></select></div></div><div class=\"form-group col-md-4\"><label class=\"required\"><em>*</em><?php echo $helper->__('Years') ?></label>:<div class=\"input-box\"><select id=\"select-year\"  style=\"height:150px;\" class=\"form-control validate-select select multiselect\" name=\"annee_fabrication[" + i + "][]\" multiple=\"multiple\" row=\""+i+"\" data-id=\"3\" disabled=\"disabled\"><option selected value=\"\"><?php echo $helper->__('--Please Select--') ?></option><option value=\"\" class=\"default\"></option></select></div></div>&nbsp;&nbsp;<a href=\"javascript:;\" onclick=\"removeCompatibilityRow('childDiv" + i + "')\" class='add_btn button btn btn-danger btn-circle' title='<?php echo $helper->__('Remove') ?>' style='height: 28px;width: 47px;'><i class='fa  fa-times'></i></a><div style='clear:both'></div><style>#childDiv" + i + "{padding-top:5px;}<style>";
        var ni = document.getElementById('morecompatibilities');
        ni.appendChild(newdiv);
        i++;
    }

    function removeCompatibilityRow(divNum) {
        var d = document.getElementById('morecompatibilities');
        var olddiv = document.getElementById(divNum);
        d.removeChild(olddiv);
        i--;
    }

    function defaultCompatibility(object) {
        var imgname = jced(object).prev('input').attr('name');
        jced('.defaultimage').each(function () {
            jced(this).val(null);
        });
        jced(object).val(imgname);
    }

    function changeSelection(select, row) {
        var $form = $(select).parents('form');
        var $selectedId = $(select).attr('id');
        var $id = parseInt($(select).data('id'));
        var $nextId = $id + 1;
        var $selectedVal = $(select).val();
        var $reloadUrl = $('#search-parts').find('#ajax-url').val();
        var $data = $form.serialize();
        $data += '&selected=' + $selectedId + '&row=' + row;
        if ($id >= 2 || $id == 2 && $selectedVal) {
            $form.find('.validation').removeClass('hidden-xs');
            $form.find('input[type="submit"]').removeAttr('disabled');
        }

        var j = $nextId;
        for (j; j <= 3; j++) {
            var $target = $form.find('select[data-id=' + j + '][row=' + row + ']');
            $target.attr('disabled', 'disabled');
            $target.children('option').each(function (i, e) {
                if (!$(e).hasClass('default'))
                    $(e).remove();
            });
            $target.parents('.form-group').addClass('hidden-xs');
        }

        if ($selectedVal) {
            $.ajax({
                url: $reloadUrl,
                type: 'POST',
                dataType: 'JSON',
                data: $data,
                success: function (response) {
                    var $target = $form.find('select[data-id=' + $nextId + '][row=' + row + ']');
                    $target.removeAttr('disabled');
                    $target.children('option').each(function (i, e) {
                        if (!$(e).hasClass('default'))
                            $(e).remove();

                    });
                    response.vehicules.each(function (obj) {
                        $target.append("<option value='" + obj.value + "'>" + obj.libelle + "</option>");
                    });
                    $target.parents('.form-group').removeClass('hidden-xs');
                }
            });
        }
    }

</script>

<script src="http://code.jquery.com/jquery-1.8.2.js"></script>
<script src="http://code.jquery.com/ui/1.9.1/jquery-ui.js"></script>

